Skip to main content
DELETE
/
v6
/
banks
/
accounts
/
{id}
Delete bank account
curl --request DELETE \
  --url https://sandbox.tight.com/v6/banks/accounts/{id} \
  --header 'Authorization: Bearer <token>'
{
  "result": "SUCCESS",
  "data": {
    "id": "123456",
    "status": "ACTIVE",
    "apiName": "PLAID",
    "iconUrl": "https://cdn.sandbox.tight.com/icons/banks/56.png",
    "name": "Chase Checking",
    "mask": "1234",
    "integration": {
      "id": "<string>",
      "apiInstitutionId": "<string>"
    },
    "type": "DEPOSITORY",
    "lastSyncedDate": "2023-11-07T05:31:56Z",
    "syncTransactions": true,
    "isSupported": true,
    "tranStartDate": "2023-12-25",
    "tranMinStartDate": "2023-12-25",
    "latestTransactionDate": "2025-01-01",
    "glAccountId": "<string>",
    "beginningBalanceData": {
      "journalEntry": {
        "id": "<string>",
        "tranDate": "2023-12-25"
      },
      "amount": 123
    },
    "accountBalance": 100000
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Path Parameters

id
string
required

The id of the bank account

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.